import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import PropTypes from 'prop-types';
import { style } from 'typestyle';
import Button from '@material-ui/core/Button';
var cn = {
  root: style({
    marginRight: 20
  })
};

var Confirm = function Confirm(props) {
  return React.createElement(Button, _extends({
    variant: "contained",
    className: cn.root
  }, props));
};

Confirm.propTypes = {
  label: PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired,
  style: PropTypes.object
};
Confirm.defaultProps = {
  color: 'primary'
};

var Abort = function Abort(props) {
  return React.createElement(Button, _extends({
    variant: "text",
    className: cn.root
  }, props));
};

Abort.propTypes = {
  onClick: PropTypes.func.isRequired,
  style: PropTypes.object
};
Abort.defaultProps = {
  children: 'Cancel'
};
export { Confirm, Abort };